#
# spec file for package nanomsg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 5_1_0
Name:           nanomsg
Version:        1.1.2
Release:        lp150.1.3
Summary:        Socket library providing several common communication patterns
License:        MIT
Group:          Development/Languages/C and C++
Url:            http://nanomsg.org/
Source:         https://github.com/nanomsg/nanomsg/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:         strict.diff
BuildRequires:  cmake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
nanomsg is a C socket library providing several common communication
patterns.

%package -n libnanomsg%{sover}
Summary:        Shared library for nanomsg
Group:          System/Libraries

%description -n libnanomsg%{sover}
nanomsg is a C socket library providing several common communication
patterns.

%package devel
Summary:        Header files for nanomsg
Group:          Development/Libraries/C and C++
Requires:       libnanomsg%{sover} = %{version}

%description devel
Development and header files for nanomsg.

%prep
%setup -q
%patch -P 1 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%post   -n libnanomsg%{sover} -p /sbin/ldconfig
%postun -n libnanomsg%{sover} -p /sbin/ldconfig

%files -n libnanomsg%{sover}
%defattr(-,root,root)
%doc RELEASING AUTHORS README.md COPYING
%{_libdir}/libnanomsg.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/nanomsg
%{_libdir}/libnanomsg.so
%{_bindir}/nanocat
%{_libdir}/pkgconfig/nanomsg.pc

%changelog
* Tue Nov  7 2017 mardnh@gmx.de
- update to version 1.1.2
  This is a bug fix release for 1.1.0.
  Two main issues are resolved:
  * nanomsg no longer wakes up every 100 msec even when no I/O is
    pending
  * Some users noticed that nanomsg was performing wakeups
    regardless of whether I/O was available or not.
    This had a detrimental effect on power usage.
  * In some circumstances an outstanding accept() operation that
    got aborted (for example due to the socket closing) could wind
    up crashing the application.
    This was a race, and it is closed now.
* Fri Oct 20 2017 mardnh@gmx.de
- update to version 1.1.0
  * This release is primarily a bug fix release for nanomsg, and
    rolls up a number of stability improvements, particularly for
    the inproc transport.
  * A port to support Windows Subsystem for Linux is provided as well.
  * There are no changes to the ABI.
* Fri Apr 28 2017 jengelh@inai.de
- Rename archive to have correct extension.
- Add strict.diff
* Fri Apr 28 2017 jengelh@inai.de
- Update descriptions
* Thu Apr 13 2017 mardnh@gmx.de
- update to version 1.0.0 (tagged release)
- specfile cleanup
* Mon Mar 28 2016 mardnh@gmx.de
- update to version 0.8+git.1454566536.8f873b4
* Tue May 27 2014 dmacvicar@suse.de
- initial package for 0.3+git.1400232496.c00be36
